package com.ibm.iru.wasexpress6_0fixpack_lnx;

/**
 * @(#)FileFilter.java
 *
 * Licensed Materials - Property of IBM
 *
 * 5724-J10
 *
 * (C) Copyright IBM Corp. 2007
 *
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *
 * This is sample code made available for use in accordance with terms set
 * forth in the license agreement document for the IBM Express Runtime. 
 */

import java.io.File;
import java.io.FilenameFilter;

/**
 * 
 * This class is used to filter particular files in a directory based on file prefix or suffix.
 */
public class FileFilter implements FilenameFilter
{
  private static final String copyright0 = "Licensed Materials - Property of IBM";

  private static final String copyright1 = "5724-J10";

  private static final String copyright2 = "(C) Copyright IBM Corp. 2006 All Rights Reserved.";

  private static final String copyright3 = "US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.";

  //variable to store file extention. For example .cmd for foo.cmd
  private String ivFileDotSuffix = null;

  public FileFilter(String dotSuffix)
  {
    // assign the needed file extensions to this instance variable
    ivFileDotSuffix = dotSuffix;
  }

  /* (non-Javadoc)
   * @see java.io.FilenameFilter#accept(java.io.File, java.lang.String)
   */
  public boolean accept(File dir, String name)
  {
    if (name.endsWith(ivFileDotSuffix))
    {
      return true;
    }
    return false;
  }
}
